Subject: Kernel startup assumptions/requirements

From: "Stuart Yoder" <[email-masked]>
Date: Fri, 5 Mar 2004 12:05:39 -0600

I am new to Linux and am in the process of trying to get a kernel booted on
a PPC board.  What assumptions/requirements (if any) does the kernel have
about any system state/setup prior to the execution of the kernel entry
point?

Is it simply that the kernel is loaded and memory is accessible?   MMU
on/off?  Do any other peripherals (e.g 10ms timer) need to be initialized?

Thanks,
Stuart Yoder

** Sent via the linuxppc-embedded mail list. See http://lists.linuxppc.org/